Package wx :: Class Locale

[frames | no frames]

## Type Locale

    object --+
             |
            Locale

Known Subclasses:
  `PyLocale`

Proxy of C++ Locale class

Method Summary
Locale | `__init__(self, language, flags)`
| `__del__(self)`
| `__nonzero__(self)`
bool | `AddCatalog(self, szDomain)`
| `AddCatalogLookupPathPrefix(prefix)` (Static method)
| `AddLanguage(info)` (Static method)
LanguageInfo | `FindLanguageInfo(locale)` (Static method)
String | `GetCanonicalName(self)`
int | `GetLanguage(self)`
LanguageInfo | `GetLanguageInfo(lang)` (Static method)
String | `GetLanguageName(lang)` (Static method)
String | `GetLocale(self)`
String | `GetName(self)`
String | `GetString(self, szOrigString, szDomain)`
String | `GetSysName(self)`
int | `GetSystemEncoding()` (Static method)
String | `GetSystemEncodingName()` (Static method)
int | `GetSystemLanguage()` (Static method)
| `Init(self, *_args, **_kwargs)`
bool | `Init1(self, szName, szShort, szLocale, bLoadDefault, bConvertEncoding)`
bool | `Init2(self, language, flags)`
bool | `IsAvailable(lang)` (Static method)
bool | `IsLoaded(self, szDomain)`
bool | `IsOk(self)`

Property Summary
| `CanonicalName`: See `GetCanonicalName`
| `Language`: See `GetLanguage`
| `Locale`: See `GetLocale`
| `Name`: See `GetName`
| `String`: See `GetString`
| `SysName`: See `GetSysName`
| `thisown`: The membership flag

Property Details

### CanonicalName

See `GetCanonicalName`

  Get Method:
    `GetCanonicalName`(self)

### Language

See `GetLanguage`

  Get Method:
    `GetLanguage`(self)

### Locale

See `GetLocale`

  Get Method:
    `GetLocale`(self)

### Name

See `GetName`

  Get Method:
    `GetName`(self)

### String

See `GetString`

  Get Method:
    `GetString`(self, szOrigString, szDomain)

### SysName

See `GetSysName`

  Get Method:
    `GetSysName`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:55 2007 | http://epydoc.sf.net